petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMCreate

Creates an empty DM object. The type can then be set with DMSetType().

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMCreate(MPI_Comm comm,DM *dm)

If you never call DMSetType() it will generate an error when you try to use the vector.

Collective on MPI_Comm

### Input Parameter

comm -The communicator for the DM object

### Output Parameter

dm -The DM object

### See Also

DMSetType(), DMDA, DMSLICED, DMCOMPOSITE, DMPLEX, DMMOAB, DMNETWORK

Level:beginner
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/impls/forest/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex11.c.html